Bug 105660 - FILEOPEN: PPTX - polygon imported as two shapes
Summary: FILEOPEN: PPTX - polygon imported as two shapes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pptx
Depends on:
Blocks: OOXML-Shapes PPTX
  Show dependency treegraph
 
Reported: 2017-02-01 09:38 UTC by Tobias Burnus
Modified: 2018-11-26 09:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
PPTX file (PowerPoint 2007) with single "+" polygon, imported as two polygons with extra points (33.47 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-02-01 09:38 UTC, Tobias Burnus
Details
comparison MSO 2010 and LibreOffice 5.4 (10.14 KB, image/png)
2017-02-01 12:48 UTC, Xisco Faulí
Details
We have retested this problem and it seems to be fixed in version 6.1.2. (199.62 KB, image/png)
2018-11-26 09:46 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Burnus 2017-02-01 09:38:52 UTC
Created attachment 130811 [details]
PPTX file (PowerPoint 2007) with single "+" polygon, imported as two polygons with extra points

Summary:
* A single polygon gets imported as two polygons - one with fill/without line style and one without fill and with line style and without fill.
* Each polygon contains two spurious point (unconnected to the actual polygon)

Details:

The attached file was created using MS PowerPoint 2007 and contains a slightly skewed drawing of a "+".

In MS PowerPoint 2007:

One has a single polygon with blue filling and a simple black solid line of width 1pt (with flat caps and round as join type). Clicking on edit points, the 4 outer and 4 inner points can be edited.


In LO 4.3.0.3 and also in some older 4.2.x:

Edit "Points" (F8) has no effect - one first needs to convert the shape "To Curve", "To Polygon, or "To Contour" (all have the same effect with regards to this bug. Namely, LO has then:

* A group of two polygons, one "+" filled with blue and line style = none; another one consisting without fill but with line style: continuous, 0.04cm wide, round corner and flat caps.
EXPECTED: A single polygon with the combined settings - not two polygons.

* Editing either polygon, one has not only the expected 8 points (4 inner and 4 outer) but two additional points - one at the top-left corner of the bounding box and one at the bottom-left corner of the bounding box. Deleting them does not influence the shown shape - but they shouldn't be there at the first place.
Comment 1 Xisco Faulí 2017-02-01 12:48:27 UTC
Created attachment 130812 [details]
comparison MSO 2010 and LibreOffice 5.4

I can't reproduce it in

Version: 5.4.0.0.alpha0+
Build ID: fc53cce64400430cdc21f79c959d75fb9a26d13d
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Tobias Burnus 2017-02-01 12:57:13 UTC
(In reply to Xisco Faulí from comment #1)
> Created attachment 130812 [details]
> comparison MSO 2010 and LibreOffice 5.4
>
> I can't reproduce it in Version: 5.4.0.0.alpha0+

I am a bit confused by the screenshot: The issue is not that it is displayed in a different way, but issues with editing the imported graphic (due to the way it is imported).

Thus, I am not sure whether you cannot reproduce it in 5.4 - or whether you simply have tried the wrong thing.
Comment 3 Xisco Faulí 2017-02-01 13:01:01 UTC
Could you please provide the clear steps to reproduce it then?
Comment 4 Tobias Burnus 2017-02-01 13:16:09 UTC
(In reply to Xisco Faulí from comment #3)
> Could you please provide the clear steps to reproduce it then?

Let me at least try to do so.

 * * *

In LO:

1. Open the attached file
2. Right click on the graphic
   and choose in the menu: "Convert > To Curve" (or "Convert > To Polygon"
   or "Convert > To Contour")

Expected: You get a single polygon.
Actual result: You can do the following:

3. Right click on the graphic and choose:
   "Ungroup"
4. Click next to the graphic to deselect it
5. Click on it and drag.

Expected: One drags the "+".
Actual result: One drags the blue-filled polygon - revealing that the line around the "+" belongs to another polygon.

[In PowerPoint: Open the file, right click on the graphic and choose "Edit points". That way, you edit that single polygon.]

 * * *

The other issue seems to be unrelated to the PPTX import as it also happens when doing:

(a) Click on the "<>" symbol in the toolbar and draw a "<>" (45 degree rotated rectangle)
(b) Right click on the graphic
    and choose in the menu: "Convert > To Curve" (or "Convert > To Polygon"
   or "Convert > To Contour")
(c) Press "F8" to edit the points.

Expected: LO shows 4 points at the corners of the "<>" rectangle.
Actual: LO shows 6 points, the 4 at the corner and one on the top-left of the bounding box  and one on the bottom left of the bounding box. Those extra points seem to have no function - and can be dragged or deleted without any visual change.
Comment 5 Tobias Burnus 2017-02-01 13:17:38 UTC
(In reply to Tobias Burnus from comment #4)
> Actual: LO shows 6 points, the 4 at the corner and one on the top-left of
> the bounding box  and one on the bottom left of the bounding box [...]

The last one should be: bottom right (not left).
Comment 6 Tobias Burnus 2017-02-06 09:22:13 UTC
(In reply to Tobias Burnus from comment #4)
> The other issue [i.e. spurious extra points] seems to be unrelated to the PPTX
> import as it also happens when doing:

That's known as bug 37559.
Comment 7 Buovjaga 2017-02-11 18:11:37 UTC
(In reply to Tobias Burnus from comment #4)
> 1. Open the attached file
> 2. Right click on the graphic
>    and choose in the menu: "Convert > To Curve" (or "Convert > To Polygon"
>    or "Convert > To Contour")
> 
> Expected: You get a single polygon.
> Actual result: You can do the following:
> 
> 3. Right click on the graphic and choose:
>    "Ungroup"
> 4. Click next to the graphic to deselect it
> 5. Click on it and drag.
> 
> Expected: One drags the "+".
> Actual result: One drags the blue-filled polygon - revealing that the line
> around the "+" belongs to another polygon.
> 
> [In PowerPoint: Open the file, right click on the graphic and choose "Edit
> points". That way, you edit that single polygon.]

Reproduced.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: ac8197327d3ef4f3c94fb0746393863404df086b
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 11th 2016

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 8 Regina Henschel 2018-05-21 23:55:16 UTC
The two extra points seem to fixed with one of the recent commits. But I still get one polygon for the filling and a second polygon for the outline in Version: 6.1.0.0.alpha1+ (x64)
Build ID: 88051c660fc6759346a01bc559818d3e23f8f55c
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL
Comment 9 NISZ LibreOffice Team 2018-11-26 09:46:06 UTC
Created attachment 147032 [details]
We have retested this problem and it seems to be fixed in version 6.1.2.
Comment 10 Buovjaga 2018-11-26 09:54:24 UTC
(In reply to NISZ LibreOffice Team from comment #9)
> Created attachment 147032 [details]
> We have retested this problem and it seems to be fixed in version 6.1.2.

Wrong, not fixed, still repro like in comment 7

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 51e6a95757906dff8b2819a4141bf3dc7938e95f
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 24 November 2018